com.sun.tdk.specdiff.html.report

## Class DiffReportFormatter

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter
    - - com.sun.tdk.specdiff.html.report.DiffReportFormatter

- All Implemented Interfaces:
    DifferModule, ReportFormatter
  Direct Known Subclasses:
    DirReportFormatter, MixedJavadocReportFormatter

      public class DiffReportFormatter
      extends AbstractDiffReportFormatter

  Generic implementation of ReportFormatter Converts XML(s) to HTML

- - ### Field Summary

    - ### Fields inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `CLASS_PARAM, GENERIC_HTML_PROBLEM_XSL, GENERIC_HTML_REPORT_XSL, GENERIC_HTML_STAT_XSL, PROBLEM_XSL_PARAM_NAME, REPORT_XSL_PARAM_NAME, STAT_XSL_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiffReportFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getConfigurationPath()` Returns path to be used for the configuration files lookup.

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `createReportFormatter, format, getProblemXsl, getReportCaption, getReportXsl, getStatisticsXsl, htmlIndex, htmlProblem, htmlReport, htmlStat, init, setHtmlReportFile, setHtmlStatFile, setIndexHtmlFile, setPackageName, setPicsDir, setProblemXsl, setReportCaption, setReportXsl, setStatisticsXsl, setupOverview`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.tdk.specdiff.html.DifferModule

      `getParameters`

- - ### Constructor Detail

    - #### DiffReportFormatter

          public DiffReportFormatter()

  - ### Method Detail

    - #### getConfigurationPath

          protected java.lang.String getConfigurationPath()

      Description copied from class: `AbstractDiffReportFormatter`
      Returns path to be used for the configuration files lookup. Subclasses should override this method to direct the configuration workflow.

      Note: this method is used at the object construction phase and overriders might observe not-yet-initialized object fields.

      Specified by:
        `getConfigurationPath` in class `AbstractDiffReportFormatter`